Bug 195387 - Scrollbar visual corruptions with Clearlooks
Scrollbar visual corruptions with Clearlooks
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 18:42 EDT by Yves Perrenoud
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
scrollbar visual corruptions (56.23 KB, image/png)
2006-06-14 18:42 EDT, Yves Perrenoud
no flags Details

  None (edit)
Description Yves Perrenoud 2006-06-14 18:42:33 EDT
Created attachment 130938 [details]
scrollbar visual corruptions
Comment 1 Yves Perrenoud 2006-06-14 18:42:33 EDT
Description of problem:

On my laptop with the radeon xorg driver, the Clearlooks engine shows frequent
corruptions in the scrollbars (only the horizontal ones). I'm attaching a
screenshot of "gtk-demo" that shows them quite clearly. On the horizontal
scrollbar at the top, on the right hand side of it, in the grey area, you can
see 6 white dots. In the lower horizontal scrollbar, in the grey area to the
right, you can see two white lines that extend through that area. If I just
hover over the scroll bars, it goes away. If I move the scrollbars without
touching them (cursor keys, the gimp's panning tool, etc...) it will come back
quite easily.

Now this only occurs with Clearlooks. With Bluecurve, Crux, etc... never
experienced such problems, and this occurs on my laptop using the radeon driver
(not when I use the VESA driver), and I also don't see it on my desktop using
either the VESA xorg driver or the proprietary ATI driver.

Version-Release number of selected component (if applicable):

gtk2-engines-2.7.4-3

How reproducible:

With "gtk-demo" (the screenshot), every single time. With other apps (firefox,
thunderbird, the gimp, etc...) very frequently.

Steps to Reproduce:
1. run gtk-demo (with xorg running the radeon driver)
2. double click "Text Widget" -> "Multiple Views"
3.

Actual results:

horizontal scrollbar visual corruption

Expected results:

no corruption

Additional info:
Comment 2 Matthias Clasen 2006-07-27 15:02:07 EDT
Most likely a driver issue
Comment 3 Mike A. Harris 2006-07-27 15:16:44 EDT
Attach your X server log and config file from the configuration which
exhibits the problem, as individual uncompressed attachments.

If you use the "noaccel" driver option, does the problem go away?  We've had
very similar reports on Trident hardware using the 'trident' driver which
go away with noaccel:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=200223

Could be 2 independent but similar driver-specific issues, or it could point
to a flaw in the X server's acceleration common code paths perhaps.
Comment 4 Matěj Cepl 2007-07-03 09:52:16 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Matěj Cepl 2007-08-03 09:32:22 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.